# Amuse: amuse::ADSR Struct Reference

amuse::ADSR Struct Reference

`#include <AudioGroupPool.hpp>`

Collaboration diagram for amuse::ADSR:

## Public Member Functions

double | getAttack () const
double | getDecay () const
double | getSustain () const
double | getRelease () const

## Public Attributes

uint8_t | attackFine
uint8_t | attackCoarse
uint8_t | decayFine
uint8_t | decayCoarse
uint8_t | sustainFine
uint8_t | sustainCoarse
uint8_t | releaseFine
uint8_t | releaseCoarse

## Detailed Description

Defines phase-based volume curve for macro volume control

Definition at line 23 of file AudioGroupPool.hpp.

The documentation for this struct was generated from the following file:

- include/amuse/AudioGroupPool.hpp